<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@drawable/bg_stripes">
    
    <LinearLayout
   		android:orientation="vertical"
	    android:layout_width="fill_parent"
	    android:layout_height="wrap_content">
	    
	    <RelativeLayout
		android:id="@+id/upgrade_1"
		android:layout_width="fill_parent"
	    android:layout_height="wrap_content"
	    android:background="@drawable/white"
	    android:layout_marginTop="10dip"
		android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip">
	    
	    	<TextView
	    	android:id="@+id/upgrade_1_text"
	    	android:layout_width="fill_parent"
	    	android:layout_height="wrap_content"
			android:layout_alignParentLeft="true"			
			android:gravity="left|center_vertical" 
			android:padding="10dip"
     		android:textColor="@drawable/black"/>
     		     		
        
    	<Button 
    		android:id="@+id/button_upgrade_1"
    		android:background="@drawable/purchase_upgrade1"
    		android:text="upgrade"
    		android:textColor="@drawable/white"
    		android:layout_alignParentRight="true"   
    		android:layout_marginTop="4dip"
    		android:layout_marginRight="5dip"
    		android:layout_marginBottom="5dip"		        	
       	 	android:layout_width="70dip"
       		android:layout_height="30dip" />
       		
       	<TextView
     		android:layout_width="fill_parent"
	   		android:layout_height="wrap_content"
     		android:id="@+id/upgrade_1_price"
			android:text="price $"
			android:gravity="right|center_vertical"
			android:padding="10dip"
			android:layout_toLeftOf="@id/button_upgrade_1"
			android:visibility="gone" 
     		android:textColor="@color/solid_green"/>
	    	
	</RelativeLayout>
	
	<View
        android:layout_height="1dip"
        android:layout_width="fill_parent"
        android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip"
        android:background="#FF909090" />
	
	<RelativeLayout
		android:id="@+id/upgrade_2"
		android:layout_width="fill_parent"
	    android:layout_height="wrap_content"
	    android:background="@drawable/white"
		android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip">
	    
	    	<TextView
	    	android:id="@+id/upgrade_2_text"
	    	android:layout_width="fill_parent"
	    	android:layout_height="wrap_content"
			android:layout_alignParentLeft="true"			
			android:gravity="left|center_vertical" 
			android:padding="10dip"
     		android:textColor="@drawable/black"/>
     		     		
        
    	<ImageView 
    		android:id="@+id/button_upgrade_2"
    		android:src="@drawable/weed_icon_sell"
    		android:layout_alignParentRight="true"   		        	
       	 	android:layout_width="wrap_content"
       		android:layout_height="40dip" />
       		
       	<TextView
     		android:layout_width="fill_parent"
	   		android:layout_height="wrap_content"
     		android:id="@+id/upgrade_2_price"
			android:text="price $"
			android:gravity="right|center_vertical"
			android:padding="10dip"
			android:layout_toLeftOf="@id/button_upgrade_2"
			android:visibility="visible" 
     		android:textColor="@color/solid_green"/>
	    	
	</RelativeLayout>
	
	<View
        android:layout_height="1dip"
        android:layout_width="fill_parent"
        android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip"
        android:background="#FF909090" />
        
    <RelativeLayout
		android:id="@+id/upgrade_3"
		android:layout_width="fill_parent"
	    android:layout_height="wrap_content"
	    android:background="@drawable/white"
		android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip">
	    
	    	<TextView
	    	android:id="@+id/upgrade_3_text"
	    	android:layout_width="fill_parent"
	    	android:layout_height="wrap_content"
			android:layout_alignParentLeft="true"			
			android:gravity="left|center_vertical" 
			android:padding="10dip"
     		android:textColor="@drawable/black"/>
     		     		
        
    	<ImageView 
    		android:id="@+id/button_upgrade_3"
    		android:src="@drawable/weed_icon_sell"
    		android:layout_alignParentRight="true"   		        	
       	 	android:layout_width="wrap_content"
       		android:layout_height="40dip" />
       		
       	<TextView
     		android:layout_width="fill_parent"
	   		android:layout_height="wrap_content"
     		android:id="@+id/upgrade_3_price"
			android:text="price $"
			android:gravity="right|center_vertical"
			android:padding="10dip"
			android:layout_toLeftOf="@id/button_upgrade_3"
			android:visibility="gone" 
     		android:textColor="@color/solid_green"/>
	    	
	</RelativeLayout>
	
	<View
        android:layout_height="1dip"
        android:layout_width="fill_parent"
        android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip"
        android:background="#FF909090" />

	<RelativeLayout
		android:id="@+id/upgrade_4"
		android:layout_width="fill_parent"
	    android:layout_height="wrap_content"
	    android:background="@drawable/white"
		android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip">
	    
	    	<TextView
	    	android:id="@+id/upgrade_4_text"
	    	android:layout_width="fill_parent"
	    	android:layout_height="wrap_content"
			android:layout_alignParentLeft="true"			
			android:gravity="left|center_vertical" 
			android:padding="10dip"
     		android:textColor="@drawable/black"/>
     		     		
        
    	<ImageView 
    		android:id="@+id/button_upgrade_4"
    		android:src="@drawable/weed_icon_sell"
    		android:layout_alignParentRight="true"   		        	
       	 	android:layout_width="wrap_content"
       		android:layout_height="40dip" />
       		
       	<TextView
     		android:layout_width="fill_parent"
	   		android:layout_height="wrap_content"
     		android:id="@+id/upgrade_4_price"
			android:text="price $"
			android:gravity="right|center_vertical"
			android:padding="10dip"
			android:layout_toLeftOf="@id/button_upgrade_4"
			android:visibility="gone" 
     		android:textColor="@color/solid_green"/>
	    	
	</RelativeLayout>
	
	<View
        android:layout_height="1dip"
        android:layout_width="fill_parent"
        android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip"
        android:background="#FF909090" />
	
	<RelativeLayout
		android:id="@+id/upgrade_5"
		android:layout_width="fill_parent"
	    android:layout_height="wrap_content"
	    android:background="@drawable/white"
		android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip">
	    
	    	<TextView
	    	android:id="@+id/upgrade_5_text"
	    	android:layout_width="fill_parent"
	    	android:layout_height="wrap_content"
			android:layout_alignParentLeft="true"			
			android:gravity="left|center_vertical" 
			android:padding="10dip"
     		android:textColor="@drawable/black"/>
     		     		
        
    	<ImageView 
    		android:id="@+id/button_upgrade_5"
    		android:src="@drawable/weed_icon_sell"
    		android:layout_alignParentRight="true"   		        	
       	 	android:layout_width="wrap_content"
       		android:layout_height="40dip" />
       		
       	<TextView
     		android:layout_width="fill_parent"
	   		android:layout_height="wrap_content"
     		android:id="@+id/upgrade_5_price"
			android:text="price $"
			android:gravity="right|center_vertical"
			android:padding="10dip"
			android:layout_toLeftOf="@id/button_upgrade_5"
			android:visibility="gone" 
     		android:textColor="@color/solid_green"/>
	    	
	</RelativeLayout>
	
	<View
        android:layout_height="1dip"
        android:layout_width="fill_parent"
        android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip"
        android:background="#FF909090" />
	
	<RelativeLayout
		android:id="@+id/upgrade_6"
		android:layout_width="fill_parent"
	    android:layout_height="wrap_content"
	    android:background="@drawable/white"
		android:layout_marginLeft="10dip"
		android:layout_marginRight="10dip">
	    
	    	<TextView
	    	android:id="@+id/upgrade_6_text"
	    	android:layout_width="fill_parent"
	    	android:layout_height="wrap_content"
			android:layout_alignParentLeft="true"			
			android:gravity="left|center_vertical" 
			android:padding="10dip"
     		android:textColor="@drawable/black"/>
     		     		
        
    	<ImageView 
    		android:id="@+id/button_upgrade_6"
    		android:src="@drawable/weed_icon_sell"
    		android:layout_alignParentRight="true"   		        	
       	 	android:layout_width="wrap_content"
       		android:layout_height="40dip" />
       		
       	<TextView
     		android:layout_width="fill_parent"
	   		android:layout_height="wrap_content"
     		android:id="@+id/upgrade_6_price"
			android:text="price $"
			android:gravity="right|center_vertical"
			android:padding="10dip"
			android:layout_toLeftOf="@id/button_upgrade_6"
			android:visibility="gone" 
     		android:textColor="@color/solid_green"/>
	    	
	</RelativeLayout>	
       		
	</LinearLayout>
</ScrollView>